<?php 
include('../Code/confHeader.inc');
$Conf -> connect();
//
// In all cases, we need to look up the account information
// to determine if they user is registered
//
include('../All/authAccountFunctions.inc');
if ( IsSet($_REQUEST['loginEmail']) ) {
  allowLoginViaParametersOrFail($Conf, "../index.php", "LoginFailure.php?loginEmail=" . $_REQUEST['loginEmail']);
  // next line should happen in allowLoginViaParametersOrFail, but isn't
  if ($_SESSION['Me'] -> valid()) {
    $_SESSION['Me'] -> go("../index.php");
    exit;
  };
};
?>

<html>

<?php  $Conf->header("Account Authentication") ?>

<body>

<?php 
if ( IsSet($_REQUEST['forgot']) ) {
  if (! $_SESSION['Me'] -> valid() ) {
    $Conf->errorMsg(
		 "We did not locate an existing account for " . $_REQUEST['loginEmail'] . ". "
		 . "Click <a href=\"login.php\"> here </a> to return to the "
		 . " login page to try again. "
		 );

  } else { 
    $_SESSION['Me'] -> sendAccountInfo($Conf);
    $Conf->confirmMsg(
		 "The account information for " . $_REQUEST['loginEmail'] ." has been retrieved and "
		 . "sent <it> via </it> email. You can use that information to login. "
		 . "Click <a href=\"login.php\"> here </a> to return to the login page. "
		 );
    $_SESSION['Me'] -> invalidate();

  }
} else {
  //
  // Check the password
  //
 if (checkPasswordAndSetupRoles($Conf)) {
    $Conf->confirmMsg(
		      "Welcome " . $_SESSION['Me']->fullname() . " "
		      . "you've successfully logged in.");
    
    print "<center>";
    $Conf->textButton("Go to Conference Submission And Review Index", "../index.php");
    print "</center>";
  };
}
?>

<?php  $Conf->footer() ?>

</body>
</html>
