<?php
  // functions to do authentication

function allowLoginViaParametersOrFail($conf, $goodPlace, $badPlace) // places can be"" to fall through
{
  if ($badPlace == '') {
    $badPlace = $Conf->paperSite;
  };

  if ( IsSet($_REQUEST['loginEmail']) && $_REQUEST['loginEmail'] != '') {
    $_SESSION['Me'] -> lookupByEmail(addslashes($_REQUEST['loginEmail']), $conf);
    
    if ( !IsSet($_REQUEST['forgot']) && IsSet($_REQUEST['password'])
	 && $_SESSION['Me'] -> valid()
	 && $_SESSION['Me'] -> password == $_REQUEST['password']
      	 && $_SESSION['Me']->password != '') {
      
      if ($placeToGo != "") {
	$_SESSION['Me'] -> go($goodPlace);
	exit;
      } else {
	// fall through, but we're ok
      };
    } else {
      // gave password, but it didn't work.  MUST FAIL
      $_SESSION['Me'] -> invalidate();
      header("Location: " . $badPlace);
    };
  } else {
    // no loginEmail set
    $_SESSION['Me'] -> invalidate();
    header("Location: " . $badPlace);
  };
}

function checkPasswordAndSetupRoles ($conf) // return non-zero if OK
{
  //
  // Check the password
  //
  error_log("me: " . $_SESSION['Me']->password . ", given: " . $_REQUEST['password'] . "\n");
  if ($_SESSION['Me'] -> password != $_REQUEST['password']) {
    $_SESSION['Me'] -> invalidate();
    return 0;
  }

  if ( ! $_SESSION['Me'] -> valid()) {
    $conf->errorMsg(
		 "That password is not correct. "
		 . "-or- That email address (" . $_REQUEST['loginEmail']. ") is not registered. "
		 . "Please <a href=\"login.php\"> return to the login form </a> and "
		 . "either enter a valid email address or register an account."
		 );
    return 0;
  } else {
    //
    // Update their visit counts
    //
    $_SESSION['Me'] -> bumpVisits($conf);
    //
    // Check their roles
    //
    $_SESSION['Me'] -> updateContactRoleInfo($conf);

    $conf->log("Login", $_SESSION['Me']);
    return 1;
  }
}
?>
