<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid("../index.php");
$_SESSION['Me'] -> goIfNotChair('../index.php');
$Conf -> connect();
?>

<html>

<?php  $Conf->header("List All Reviewers ") ?>

<body>
<p>
This page shows you all the reviewers.
</p>

<?php 
//
// Make an array of all the valid paper indicies.
//
$allContactsContactId=array();
$allContactsEmail=array();
$allContactsFirstName=array();
$allContactsLastName=array();
$allContacts=array();

$result=$Conf->qe("SELECT ContactInfo.contactId, ContactInfo.email, "
		  . "   ContactInfo.firstName, ContactInfo.lastName "
		  . " FROM ContactInfo "
		  . " ORDER BY ContactInfo.lastName, ContactInfo.firstName");
$i = 0;
if (DB::isError($result)) {
  $Conf->errorMsg("Error in retrieving reviewer list " . $result->getMessage());
} else {
  while ($row = $result->fetchRow()) {
    $f = 0;
    $id = $row[$f++];
    $allContacts[$i] = $id;
    $allContactsEmail[$id] = $row[$f++];
    $allContactsFirstName[$id] = $row[$f++];
    $allContactsLastName[$id] = $row[$f++];
    $i++;
  }
}
//
// Determine the number of completed and started reviews for all papers
//
?>


<table border="0" cellpadding=1 cellspacing=1>

<thead>
<tr bgcolor="<?php echo $Conf->contrastColorTwo ?>">
<th colspan=2 align=center> Reviews </th>
<th colspan=3> </th>
</tr>
<tr bgcolor="<?php echo $Conf->contrastColorTwo ?>">
<th align=center> Asked </th>
<th align=center> Finalized </th>
<th colspan=3 align=center> Reviewer </th>
</tr>

<?php 
$num_asked_reviewers = 0;
$num_finalized_reviewers = 0;
$cur_bg = $Conf->contrastColorZero;
$alt_bg = $Conf->contrastColorOne;
$color_count = 0;
for($i = 0; $i < sizeof($allContacts); $i++) {
  $id=$allContacts[$i];
  //
  // All other fields indexed by papers
  //
  $firstName = $allContactsFirstName[$id];
  $lastName = $allContactsLastName[$id];
  $email = $allContactsEmail[$id];

  $query = "SELECT COUNT(PaperReview.paperId)"
    . " FROM PaperReview WHERE "
    . " (PaperReview.reviewer='$id' )";
  $asked_result = $Conf->qe($query);
  if ( DB::isError($asked_result) ) {
    $Conf->errorMsg("Problem with reviewer paper review lookup . "
		    . $asked_result->getMessage());
    break;
  };
  $row = $asked_result->fetchRow();
  $asked_cnt = $row[0];
  if ($asked_cnt > 0) {
    $num_asked_reviewers++;
  };

  $query = "SELECT COUNT(PaperReview.paperId)"
    . " FROM PaperReview "
    . " WHERE (PaperReview.reviewer='$id' AND PaperReview.finalized=1)";
  $finalized_result = $Conf->qe($query);
  if ( DB::isError($finalized_result) ) {
    $Conf->errorMsg("Problem with reviewer paper review lookup . "
		    . $finalized_result->getMessage());
    break;
  };
  $row = $finalized_result->fetchRow();
  $finalized_cnt = $row[0];
  if ($finalized_cnt > 0) {
    $num_finalized_reviewers++;
  };

  if ($asked_cnt > 0) {
    $num_asked_reviewers++;
?>
         <tr bgcolor="<?php echo $cur_bg; if (++$color_count >= 3) { $t=$cur_bg; $cur_bg = $alt_bg; $alt_bg = $t; $color_count = 0; }; ?>" >
	   <td align=center> <?php  echo $asked_cnt ?> </td>
	    <td align=center> <?php  echo $finalized_cnt; ?>
	    <?php if ($asked_cnt != $finalized_cnt) { echo "*"; } ?>
   		</td>
           <td align=right>  <?php  echo $firstName ?> &nbsp; </td>
	   <td align=left> &nbsp; <?php  echo $lastName ?> </td>
	   <td align=left>  &lt;<?php  echo $email ?>&gt; </td>
	   </tr>

<?php 
  }
}
?>
</table>
There are the <?php  echo $num_reviewers ?> reviewers.

</body>
<?php  $Conf->footer() ?>
</html>

