<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid($Conf->paperSite);
$_SESSION['Me'] -> goIfNotPC($Conf->paperSite);
$Conf -> goIfInvalidActivity("PCExpressPreferences",
			     $Conf->paperSite);

$Conf -> connect();
?>

<html>

<?php  $Conf->header("Express Preferences in Papers to Review") ?>

<body>


<?php 
$Conf->infoMsg("This page shows you all the papers that have been entered "
	       . " and lets you express preferences in any for which you do not have a conflict. "
	       . " These preferences will be used in assinging papers to review. "
	       . " Higher preference values indicate greater interest in the paper. Defaults are based on the intersection of your and the papers topics. ");

$allConflicts = $Conf->allMyConflicts($_SESSION['Me']->contactId);

//
// handle update
//
if (IsSet($_REQUEST['updatePaperPreferences'])) {
	update_paper_preferences($Conf, $_SESSION['Me']->contactId);
	$Conf->log("Save PC paper preferences", $_SESSION['Me']);
}

//
// Make an array of all the valid paper indicies.
//
  $result=$Conf->qe("SELECT Paper.paperId, Paper.title, "
		    . " Paper.acknowledged, Paper.withdrawn "
		    . " FROM Paper "
		    . " WHERE (Paper.acknowledged=1) AND (Paper.withdrawn!=1) "
		    . " ORDER BY Paper.paperId");

  if (DB::isError($result)) {
    $Conf->errorMsg("Error in retrieving paper list " . $result->getMessage());
  } else {
    $num = $result->numRows();
    ?>

      <p> There are <?php  echo $num ?> papers.<br>  </p>

      <FORM name=ExpressPaperPreferences method="POST" action="<?php echo $_SERVER[PHP_SELF] ?>">
      <INPUT TYPE=hidden NAME="updatePaperPreferences" value="yes">
      <INPUT TYPE=SUBMIT name="Update" value="Update Paper Preferences">
      <P>
      <table border="1" width="100%" cellpadding=0 cellspacing=0>
	 <thead>
	 <tr>
	 <th colspan=1 width=10% valign="center" align="center">Paper # </th>
	 <th colspan=1 width=80% valign="center" align="center"> Title </th>
	 <th colspan=1 width=10% valign="center" align="center"> Preference </th>
	 </tr>
	 <?php 
	 $i = 0;
    while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
      $paperId = $row['paperId'];
      if ( ! $allConflicts[$paperId] ) {
  ?>
    <tr>
    <td width=10% align="center">  <?php  echo $paperId ?> </td>
    <td width=80%>

    <?php
       $Conf->linkWithPaperId( $row['title'],
			       "ShowAbstract.php",
			       $paperId);
    ?>

    </td>
    <td>
	      <?php
	      $paperPreference = determine_paper_preference($Conf, $paperId, $_SESSION['Me']->contactId);
	      // print "pref=$paperPreference ";
	      print "<SELECT NAME='preference[$paperId]'>\n";
	      for ($i = 10; $i <= 50; $i += 2) {
		      $scaled = $i / 10.0;
		      $selected = "";
		      if ($i == $paperPreference) {
			      $selected = " SELECTED=\"SELECTED\"";
		      }
		      print "<OPTION VALUE=$i $selected>$scaled</OPTION>\n";
	      };
	      print "</SELECT>\n";
	      ?>
    </td>
    </tr>
       <?php 
       }
    }
?>
    </TABLE>
    <P>
    <INPUT TYPE=SUBMIT name="Update" value="Update Paper Preferences">
    </FORM>
<?php
  }
?>

</body>
<?php  $Conf->footer() ?>
</html>




