<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid($Conf->paperSite);
$_SESSION['Me'] -> goIfNotPC($Conf->paperSite);
$Conf -> connect();
include('../PC/ListReviewsCommon.inc');

?>

<?php
  // code contributed by John Heidemann <johnh@isi.edu>
  // $Id: ListMeetingOrder.php 273 2006-06-20 18:12:59Z johnh $
?>

<html>

<?php  $Conf->header("List PC Meeting Discussion Order for All Papers") ?>

<body>

<?php 
$show_pc_leads = 1;
if (IsSet($_REQUEST['OmitPCLeads'])) {
  $show_pc_leads = 0;
};
?>

<p>
This page shows the proposed discussion order for the PC meeting.



<?php
//
// Make an array of all the valid paper indicies.
//
  $result = setupAllPapersArrays($Conf,
				 " WHERE acknowledged=1 AND withdrawn=0 ",
    				" ORDER BY (discussionOrder+0.0), paperId ");
  $f = 0;
  $countpapersforreview = $result[$f++];
  $allPapers = $result[$f++];
  $allPaperTitles = $result[$f++];
  $allPrimary = $result[$f++];
  $allSecondary = $result[$f++];
  $allPCLeadId = $result[$f++];
  $allPCPaper = $result[$f++];

  $allConflicts = $Conf->allMyConflicts($_SESSION['Me']->contactId);
  $pcConflicts = $Conf->allPCConflicts();

?>

<p>
Found <?php  echo $countpapersforreview ?> papers.

<p><FORM METHOD=POST ACTION="<?php echo $_SERVER[PHP_SELF] ?>">
<p> <INPUT TYPE='checkbox' NAME='OmitPCLeads' <?php print $show_pc_leads ? "" : "CHECKED"; ?>> Omit PC Leads for each paper
<p> <INPUT TYPE=SUBMIT name="UpdateView" value="Update View">

     <table width="100%" cellpadding=1 cellspacing=1>

     <thead>
     <tr bgcolor="<?php $Conf->contrastColorTwo ?>" >
     <th colspan=1 width="5%" valign="center" align="center"> Discussion Order </th>
     <th colspan=1 width="10%" valign="center" align="center"> Paper # </th>
     <th colspan=1 width="60%" valign="center" align="center"> Title </th>
     <?php if ($show_pc_leads) { ?>
       <th colspan=1 width="25%" valign="center" align="center"> PC Reviewers and [Lead] </th>
     <?php }; ?>
     </tr>

<?php 
     $color_count = 0;
     $cur_bg = $Conf->contrastColorZero;
     $alt_bg = $Conf->contrastColorOne;
     $into_undiscussed = 0;
     for($i = 0; $i < sizeof($allPapers); $i++) {
       $paperId = $allPapers[$i];
       //
       // All other fields indexed by papers
       //
       $title = $allPaperTitles[$paperId];
       $order = get_paper_discussionOrder($Conf, $paperId);
       $conflict = (IsSet($allConflicts[$paperId]) && $allConflicts[$paperId] != 0);

       if ($order >= $Conf->omitFromDiscussionThreshold && !$into_undiscussed) {
	 $into_undiscussed = 1;
	 print "<tr bgcolor=\"" . $Conf->contrastColorTwo . "\">\n";
	 print "  <td colspan=" . ($show_pc_leads ? 4 : 3) . ">\n";
	 print "    <b>Remaining Papers Will Be Discussed Only On Request</b>\n"; 
	 print "  </td>\n";
	 print "</tr>\n";
       };

       print "<tr bgcolor=\"$cur_bg\"> ";
       if (++$color_count >= 3) {
         $t = $cur_bg;  $cur_bg = $alt_bg;  $alt_bg = $t;
         $color_count = 0;
       };

       $skip_annotation = ($into_undiscussed ? "?" : "");
       print "<td align=center>d$i$skip_annotation</td>\n";
       $color = "";
       $pc_note = "";
       if ($allPCPaper[$paperId] == 1) {
	 $color = "bgcolor=\"#ff0000\"";
	 $pc_note = "*PC*";
       };
       print "<td align=center $color> $paperId $pc_note </td>\n";
       print "<td> ";
       $Conf->linkWithPaperId($title,
			      "../PC/PCAllAnonReviewsForPaper.php",
			      $paperId);
       print "</td>\n";

       // find the reviewers and leads
       if ($show_pc_leads) {
         print "<td>";
         $query = "SELECT PaperReview.reviewer, ContactInfo.firstName, ContactInfo.lastName "
		. " FROM PaperReview, ContactInfo "
		. " WHERE paperId=\"$paperId\" AND PaperReview.reviewer = ContactInfo.contactId "
		. " ORDER BY ContactInfo.lastName, ContactInfo.firstName ";
         $result = $Conf->qe($query);
         if ($conflict) {
  	   print "(omitted due to conflict)";
         } elseif (DB::isError($result)) {
	   print "error\n";
         } else {
	   $n = 0;
	   $divider = "";
	   while ($row = $result->fetchRow()) {
  	     $n++;
	     $f = 0;
	     $reviewer = $row[$f++];
	     $firstName = $row[$f++];
	     $lastName = $row[$f++];
	     $start = $end = "";
	     if ($reviewer == $allPCLeadId[$paperId]) {
	       $start = "<b>[";
	       $end = "]</b>";
	     };
	     print $divider . $start . $firstName . " " . $lastName . $end;
	     $divider = ", ";
	   };
	   if ($n == 0) {
	     print "<em>none</em>";
	   };
         };
         print "</td>\n";
       };

       print "</tr>\n";
     }
 ?>
     </table>


     </FORM>

</body>
<?php  $Conf->footer() ?>
</html>

