<?php if ($_SESSION['Me']->isChair ) {?>

<?php $Conf -> taskHeader("Tasks for the Program Chair", $TaskSpan); ?>

<ul>

<li> <a href="Guide/index.html">Guide to CRP</a>

<li> Manage the Conference Information
<ul>
<li> <a href="Chair/SetDates.php"> Set important dates </a>
<li> <a href="Chair/SetTopics.php"> Manage topics database </a>
</ul>

<li> Manage the Accounts
<ul>
<li> <a href="Chair/ListAccounts.php"> List all accounts </a>
<li>  <a href="Chair/BecomeSomeoneElse.php"> Log in as someone else </a>
<li>  <a href="Chair/ChairMergeAccounts.php"> Merge duplicate accounts </a>
</ul>

<li> Manage the Program Committee Members 
<ul>
<li> <a href="Chair/ReviewContacts.php"> See, remove and send reminders
	</a> about contact information.
<li>  <a href="Chair/ChairAddContact.php"> Add contact information </a>
to accounts.
<li>  <a href="Chair/ListPC.php"> List contact information</a> for PC members.
<li>  <a href="Chair/ListTopicsToPC.php">List topics-to-PC members</a>.
<li>  <a href="Chair/ReviewPC.php"> Add or remove PC members</a>.
<li>  <a href="Chair/ReviewChairs.php"> Add or remove program chairs</a>.
<li>  <a href="Chair/ReviewAssistants.php"> Add or remove assistants to the program chairs</a>.
</ul>

<li> Manage all papers

<ul>
<li> <a href="Assistant/AssistantListPapers.php">
	List all papers and authors in the database. </a>
	<br> <b> <i> You can also see details of each paper from here,
	modify or delete the paper </i> </b>
</li>
<li> <a href="PC/PCListPapers.php"> View the list of all submitted papers </a>
</li>

<li> <a href="Chair/SetPCPaper.php"> Mark Papers as PC Papers</a> </li>
<li> <a href="Chair/DeletePaper.php"> Delete a paper from database</a> </li>

<li> <a href="Chair/SubmitPaper.php"> Submit </a>  a paper on behalf of someone else </li>

</ul>

<li> Assign papers
<ul> 
<li> <a href="Chair/AssignPapers.php"> Assign papers for review </a>,
check the status (number of reviews, <i> etc </i>), and delete review requests. </li>

<li> <a href="Chair/SuggestAllForSecondaryReview.php"> Suggest external reviewers for any paper </a>
</li>

<li> <a href="Chair/ListPapersAssignedToPC.php"> List papers assigned to PC member </a>


<li> <a href="Chair/AssignConflicts.php"> Assign conflicts </a> </li>

<li> <a href="Chair/FindPCConflicts.php"> Look for conflicts </a> 
-- by searching for PC names 
</li>

<li> <a href="Chair/SearchPapers.php"> Search papers</a> 
-- search for  words in papers
</li>


<li> <a href="Chair/AskForReview.php"> Ask someone to review a paper (any paper) </a> </li>

<li> <a href="Chair/UnfinalizeReview.php"> Finalize, unfinalize or delete a review </a>

</ul>

<li> Check on reviewing progress
<ul>
<li> <a href="Chair/ListReviews.php"> See all the review<b>er</b>s </a>
	that PC members have requested to review papers.
</li>

<li> <a href="Chair/ListSuggestedReviewers.php"> See all the suggestions </a>
	that PC members have suggested to review papers.
</li>
<li> <a href="Chair/CheckOnPCProgress.php"> Summarize PC progress </a>
	on reviewing; you can also see the review requests made
	by this specific PC member.
</li>
<li> <a href="PC/ListReviews.php"> See all the reviews themselves </a>
			 (conflicts and papers for which the chair must review are omitted)
</li> 
<li> <a href="Chair/SpotProblems.php"> Spot Reviewing Problems </a> </li>
</ul>

<li> Prepare for the PC meeting
<ul>
<li> <a href="Chair/AverageReviewerScore.php"> See average REVIEWER score </a> </li>
<li> <a href="Chair/AveragePaperScore.php"> See average PAPER scores </a> </li>
<li> <a href="Chair/GradeAllPapers.php?ShowChairGrades=1"> Assign paper grades  </a> </li>
<li> <a href="Chair/ListDiscussionAliases.php"> List e-mail aliases for discussion mailing lists for each paper </a> 
<li> <a href="Chair/AssignPCLeads.php"> Assign PC leads for each paper </a> 
<li> <a href="Chair/AssignMeetingOrder.php"> Edit the paper ordering for the PC meeting </a>
</ul>

<li> At the PC meeting
<ul>
<li> <a href="Chair/GradeAllPapers.php?ShowOutcome=1"> Assign paper outcomes </a> </li>
</ul>

<li> Contact authors & prepare facesheets
<ul>
<li> <a href="Chair/SendMail.php"> Send mail to various groups of people (authors, reviewers) </a> 
<li> <a href="Chair/ListFirstAuthors.php"> List email addresses
	for all contact authors </a>
	<br>(used for creating ane email list for sending announcements) </a>
<li> <a href="Chair/ListReviewers.php"> List all reviewers
	(email and name) </a>.
</ul>



<li> Manage the conference 
<ul>
<li> <a href="Chair/ViewActionLog.php"> View the action log </a>
<li> You may <a href="Chair/DumpDatabase.php"> Make a backup of the database </a>.
</ul>
</ul>
</li>


<?php }?>
