<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid("../index.php");
$_SESSION['Me'] -> goIfNotChair('../index.php');
$Conf -> connect();
?>

<html>
<?php  $Conf->header("Chair Merge Account Information From Two Accounts") ?>
<body>

<?php 

if (IsSet($_REQUEST['Merge'])) {
  if ($_REQUEST['firstEmail'] != $_REQUEST['secondEmail']) {
    $Conf->errorMsg("The first and second email addresses don't match");
  } else if ($_REQUEST['firstEmail'] == "") {
    $Conf->errorMsg("You specified an empty email string");
  } else if ($_REQUEST['keepEmail'] == "") {
    $Conf->errorMsg("You need to specify an account to keep");
  } else {
    //
    // Look up that account
    //
    $KeepMe = new Contact();
    $KeepMe -> lookupByEmail($_REQUEST['keepEmail'], $Conf);

    $MiniMe = new Contact();
    $MiniMe -> lookupByEmail($_REQUEST['firstEmail'], $Conf);

    if ($MiniMe->contactId == $KeepMe->contactId) {
      $Conf->errorMsg("You can't merge an account with itself");
    } else if (! $MiniMe -> valid()) {
      $Conf-> errorMsg("Either the other acccount doesn't "
		       . " exist or you specified the wrong password");
    } else {
      $Conf->infoMsg("Both accounts found -- updating database!");
      
      $message = "Your account at the $Conf->shortName conference site "
	. " has been merged with the account of \n"
	. $KeepMe->fullname() . " ( " . $KeepMe->email . " )\n";
      $message .= "If you suspect something fishy, contact the "
	. "conference contact (" . $Conf -> contactEmail . " )\n";

      if (IsSet($_REQUEST['sendMail'])) {
	mail($MiniMe->email,
	     "Account information for $conf->shortName",
	     $message,
	     "From: $conf->emailFrom");
      };
      
      //
      // Now, scan through all the tables that possibly
      // specify a contactID and change it from their 2nd
      // contactID to their first contactId
      //
      $oldid = $MiniMe->contactId;
      $newid = $KeepMe->contactId;
      $Conf->replaceAccountsInAllTables($newid, $oldid);
    };
  };
}

?>


<?php 
$Conf->infoMsg(
"People may have multiple accounts registered with the "
.  $Conf->shortName . " conference, usually because "
. "multiple people asked you to review a paper using "
. "different email addresses. "
. "This may make it "
. "more difficult to keep track of your different papers. "
. "This form lets the chair merge two accounts."
. "<br>"
);
?>

<form method="POST" action="<?php  echo $_SERVER[PHP_SELF] ?>">
<div align="center">
<table border="1" width="75%" bgcolor="<?php echo $Conf->bgOne?>">
<tr>
<tr>
<td width="35%">Email To <b>Keep</b></td>
<td width="65%"><input type="text" name="keepEmail" size="44"
value="<?php  echo $_REQUEST['keepEmail']?>" ></td>
</tr>
<tr>
<td width="35%">Email To Merge</td>
<td width="65%"><input type="text" name="firstEmail" size="44"
value="<?php  echo $_REQUEST['firstEmail']?>" ></td>
</tr>
<tr>
<td width="35%">Email To Merge Again</td>
<td width="65%"><input type="text" name="secondEmail" size="44"
value="<?php  echo $_REQUEST['secondEmail']?>" ></td>
</tr>
<tr>
<td width="35%">Send the merged account mail?</td>
<td width="65%"><input type="checkbox" name="sendMail"
value="<?php  echo $_REQUEST['sendMail']?>" ></td>
</tr>
<td colspan=2 align=center>
<input type="submit" value="Merge" name="Merge">
</td>
</table>
</div>
</form>

<?php  $Conf->footer() ?>
</body>
</html>

