<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid("../index.php");
$_SESSION['Me'] -> goIfNotChair('../index.php');
$Conf -> connect();
?>

<html>

<?php  $Conf->header("List All Review Requests ") ?>

<body>
<p>
This page shows you all the reviewers who have been requested to review
papers.
</p>

<?php 
$result=$Conf->q("SELECT Paper.paperId, Paper.title, "
		 . " ContactInfo.firstName, ContactInfo.lastName, ContactInfo.email "
		 . " FROM ContactInfo, ReviewRequest, Paper "
		 . " WHERE ContactInfo.contactId=ReviewRequest.asked "
		 . " AND Paper.paperId=ReviewRequest.paperId "
		 . " ORDER BY Paper.paperId "
		 );
$i = 0;
if (DB::isError($result)) {
  $Conf->errorMsg("Error in retrieving reviewer list " . $result->getMessage());
} else {
  ?>
<table>
<thead> <tr bgcolor="<?php $Conf->contrastColorTwo ?>">
<th width=5%> Paper Id </th>
<th> Title and Reviewer </th> 
</tr>
</thead>
<?php  
  $color_count = 0;
  $cur_bg = $Conf->contrastColorZero;
  $alt_bg = $Conf->contrastColorOne;
  while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
    print "<tr bgcolor=\"$cur_bg\"> ";
    if (++$color_count >= 3) {
      $t = $cur_bg;  $cur_bg = $alt_bg;  $alt_bg = $t;
      $color_count = 0;
    };
    print "<td> " . $row['paperId'] . " </td>";
    print "<td> ". $row['title'] . " <br> being reviewed by ";
    print " <b> "
    . $row['firstName']
    . " " 
    . $row['lastName'] 
    . " &lt;" 
    . $row['email']
    . "&gt; </b>";
    print "</td>";
    print "</tr>";
  }
}
?>
</table>

</body>
<?php  $Conf->footer() ?>
</html>

