<?php 

//
// Database configuration information
//
// $dbHost="127.0.0.1";
$dbHost="localhost";
//$dbUser="SENSYS2006";
//$dbPassword ="SENSYS2006";
//$dbName="SENSYS2006";
$dbUser="SENSYS2006C";
$dbPassword ="SENSYS2006C";
$dbName="SENSYS2006C";

//
// if setupPhase == 1, anyone who logs in has chair powers.
//
$Conf = new Conference ( $dbUser, $dbPassword, $dbHost, $dbName );
$Conf -> setupPhase = 0; 
//
// Conference names
//

//
// You need a unique session name to distinguish conference sessions
// running on the same server. DO NOT PUT SPACES IN THE SESSION NAME!!
//
//$Conf -> sessionName="SENSYS2006";
//$Conf -> shortName="SENSYS 2006";
$Conf -> longName="The 4th ACM Conference on Embedded Networked Sensor Systems";
$Conf -> sessionName="SENSYS2006C";
$Conf -> shortName="SENSYS 2006C";

// allowed paper formats: allow PDF and PS for now
$Conf -> allowPDF = 1;
$Conf -> allowPS = 0;

//
// OPTION: can authors specify preferred reviewers?
//
$Conf -> optionAllowReviewerPreferences = 1;
//
// OPTION: can PC members see reviewer identify during PC meeting?
//
$Conf -> optionLetPCSeeReviewers = 1;
//
// Can PC see unfinished reviews in review form during PC meeting?
//
$Conf -> optionLetPCSeeUnfinishedReviews = 1;
//
// Can PC see author information in review form during PC meeting?
//
$Conf -> optionLetPCSeeAuthorInfo = 0;

//
// The name of this site. You can conditionalize this based on
// e.g. hostname in case you have a development site and a deployment
// site
//

$posixinfo = posix_uname();
$hostname = $posixinfo['nodename'];

//
// This is the location of the hypothetical conference
// the test server
//
// $Conf -> paperSite="http://vir.isi.edu/sensys2006";
$Conf -> paperSite="http://localhost/sensys2006c";

//
// The conference site (i.e. CFP, registration)
//
$Conf -> conferenceSite="http://sensys.acm.org/2006/";

//
// The prefix for papes that are downloaded
//
$Conf -> paperPrefix="sensys-2006-paper";

//
// A CSS, if you want one
//
$Conf -> theme ="";

//
// This is the person advertised as the appropriate person
// to contact w.r.t problems
//
$Conf -> contactName = "SenSys 2006 TPC Chairs";
$Conf -> contactEmail = "sensys06-pcchairs@isi.edu";
//
// Email appears to come from this address
//
$Conf -> emailFrom = "sensys06-pcchairs@isi.edu";

//
// This is where dumps of the database are placed
//
$Conf -> dbDumpDir="/var/spool/conference";

// discussion order values >= this value are skipped from discussion
$Conf->omitFromDiscussionThreshold = 9000;
?>

