<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid($Conf->paperSite);
$_SESSION['Me'] -> goIfNotPC($Conf->paperSite);
$Conf -> connect();
include('../PC/ListReviewsCommon.inc');

function Check($var)
{
  if ($var) {
    print "<img src=\"../images/CheckMark.gif\">";
  } else {
    print "&nbsp;";
  }
}

function Num($var)
{
  if ($var) {
    print $var;
  } else {
    print "&nbsp;";
  }
}
?>

<html>

<?php  $Conf->header("See Reviews for All Papers") ?>

<body>
<?php 
$Conf->infoMsg("If you have the word 'CONFLICT' next to a paper, "
	       . " the program chairs have registered a conflict of "
	       . " interest with you seeing those reviews. If you think "
	       . " this is an error, please contact the program chairs.");
//
// Process actions from this form..
//
//
// Make an array of all the valid paper indicies.
//

  $result = setupAllPapersArrays($Conf);
  $i = 0;
  $countpapersforreview = $result[$i++];
  $allPapers = $result[$i++];
  $allPaperTitles = $result[$i++];
  $allPrimary = $result[$i++];
  $allSecondary = $result[$i++];

  $allConflicts = $Conf->allMyConflicts($_SESSION['Me']->contactId);
  $pcConflicts = $Conf->allPCConflicts();


  //
  // Determine the number of completed and started reviews for all papers
  //
  ?>

Found <?php  echo $countpapersforreview ?> papers.

     <table width="100%" cellpadding=0 cellspacing=0>

     <thead>
     <tr bgcolor="<?php $Conf->contrastColorTwo ?>" >
     <th colspan=1 width=5% valign="center" align="center"> Paper #</th>
     <th colspan=1 width=60% valign="center" align="center"> Title </th>
     <th colspan=1 width=10% valign="center" align="center"> Reviews </th>
     </tr>
<?php 
     $color_count = 0;
     $cur_bg = $Conf->contrastColorZero;
     $alt_bg = $Conf->contrastColorOne;
     for($i = 0; $i < sizeof($allPapers); $i++) {
       $paperId=$allPapers[$i];
       //
       // All other fields indexed by papers
       //
       $title = $allPaperTitles[$paperId];
       $primary = $allPrimary[$paperId];
       $secondary = $allSecondary[$paperId];

       // Check to see if there is a conflict
       $conflict = 0;
       if ( IsSet($allConflicts[$paperId]) && $allConflicts[$paperId] != 0) {
	 $conflict = 1;
       }

       print "<tr bgcolor=\"$cur_bg\"> ";
       if (++$color_count >= 3) {
         $t = $cur_bg;  $cur_bg = $alt_bg;  $alt_bg = $t;
         $color_count = 0;
       };
       if ( $conflict ) {
	 print "<td> $paperId </td>";
	 print "<td> $title </td> ";
	 print "<td> <b> CONFLICT </b> </td>\n";
       } else {
	 if ( $Conf->validTimeFor('AtTheMeeting', 0) 
	      && $pcConflicts[$paperId]
	      && ( $_SESSION['Me'] -> isPC && ! $_SESSION['Me'] -> isChair ) ) {
		//
		// Don't show anything
		//
	      } else {
		print "<td> $paperId </td>\n";
		print "<td> ";

		$Conf->linkWithPaperId($title,
				       "PCAllAnonReviewsForPaper.php",
				       $paperId);

		print "</td>\n";

		print "<td> <b>";

		$Conf->linkWithPaperId("See Reviews",
				       "PCAllAnonReviewsForPaper.php",
				       $paperId);

		print "</td>";
	      }
       }
       print "</tr>\n";
     }
 ?>
     </table>

</body>
<?php  $Conf->footer() ?>
</html>

