<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid($Conf->paperSite);
$_SESSION['Me'] -> goIfNotPC($Conf->paperSite);
$Conf -> goIfInvalidActivity("PCSubmitReviewDeadline", $Conf->paperSite);
$Conf -> connect();
?>

<html>

<?php
  $Conf->header("Withdraw Suggested Reviewers For Your Secondary Papers")
?>

<body>
<?php 
if (IsSet($_REQUEST['paperId']) && IsSet($_REQUEST['suggestion'])) {
  $suggestion = $_REQUEST['suggestion'];
  $paperId = $_REQUEST['paperId'];

  // find the user
  $suggestionInfo = new Contact();
  $suggestionInfo ->lookupById($suggestion, $Conf);
  $suggestionEmail = $suggestionInfo->email;
  if ($suggestionInfo->contactId == 0) {
    $Conf-> errorMsg("Unable to retrieve information about suggestion id $suggestion. Contact site admin.");
    exit();
  };

  //
  // Have they already been asked to review this paper?
  //
  $query = "SELECT suggestedReviewerId, paperId FROM SuggestedReviewer WHERE paperId=$paperId AND suggestion=$suggestion";
  $result=$Conf->qe($query);
  
  if (DB::isError($result)) {
    $Conf->errorMsg("Error in query for paper $paperId, suggestion " . $suggestionEmail);
  } elseif ($result->numRows() < 1 ) {
    $Conf->errorMsg("Suggestion " . $suggestionEmail . " was not listed for paper #$paperId");
  } elseif ($result->numRows() > 1 ) {
    $Conf->errorMsg("Internal error: suggestion " . $suggestionEmail . " has multiple hits for paper #$paperId");
  } else {
    // withdraw the suggestion
    $query="DELETE FROM SuggestedReviewer WHERE "
  		  . " suggestion=$suggestion AND "
  		  . " paperId=$paperId";
    $request=$Conf->qe($query);
    if (DB::isError($result)) {
      $Conf->errorMsg("Request to withdraw suggestion $suggestionEmail paper $paperId failed for $query: " . $result->getMessage());
    } else {
      $Conf->infoMsg("Withdraw suggestion $suggestionEmail for paper $paperId");
    };
  };
};
?>

<p>
To withdraw a suggestion, click on their e-mail address.
</p>

<br>
<?php 
$result=$Conf->q("SELECT Paper.paperId, Paper.title, Paper.withdrawn, Paper.acknowledged "
. "FROM Paper, SecondaryReviewer "
. "WHERE SecondaryReviewer.reviewer='" . $_SESSION['Me']->contactId. "' "
. "AND Paper.paperId=SecondaryReviewer.paperId "
. "AND Paper.withdrawn != 1 AND Paper.acknowledged=1 "
. "ORDER BY Paper.paperId ");

if (DB::isError($result)) {
  $Conf->errorMsg("Error in sql " . $result->getMessage());
} else {
  $i = 0;
?>
<table border=1>
 <tr> <th width=5%> Paper # </th>
<th width=5%> Assigned </th>
<th> Title </th>
</tr>
<?php 
  while ($row=$result->fetchRow()) {
    $id = $row[0];
    $title = $row[1];
    $withdrawn = $row[2];
    $acknowledged = $row[3];
    $me =$_SESSION['Me']->contactId;
    $r2 = $Conf->q("SELECT COUNT(*) FROM SuggestedReviewer WHERE "
	 . " SuggestedReviewer.paperId=$id AND requestedBy=$me");
    if ( $r2 ) {
	$rr = $r2->fetchRow();
	$num = $rr[0];
    } else {
	$num = "0";
    }
    print "<tr> <td align=center> $id </td>";
    print "<td align=center";
    if ($num < 3) {
      print " bgcolor=\"#ff9999\"";
    };
    print "> $num </td>";
    print "<td>";

    $Conf->linkWithPaperId($title,
			   "ShowAbstract.php",
			   $id);

    // and list current recommendations, if any
    $r3 = $Conf->q("SELECT ContactInfo.email, SuggestedReviewer.suggestion FROM ContactInfo, SuggestedReviewer WHERE "
	 . " SuggestedReviewer.paperId=$id AND requestedBy=$me "
	 . " AND ContactInfo.contactId = SuggestedReviewer.suggestion");
    if ( $r3 ) {
      $split = "<BR>(Current suggestions: ";
      while ($r3r = $r3->fetchRow()) {
        $email = $r3r[0];
        $suggestion = $r3r[1];
	print $split
		. "<a href=\"RemoveSuggestion.php?paperId=$id&suggestion=$suggestion\">"
		. $email
		. "</a>";
	$split = ", ";
      };
      if ($split == ", ") {
        print ")";
      };
    }

    print "</td> <tr> \n";
  }
  print "</table>";
}

?>
<br>

</body>
<?php  $Conf->footer() ?>
</html>
