<?php 
include('../Code/confHeader.inc');
$_SESSION['Me'] -> goIfInvalid($Conf->paperSite);
$_SESSION['Me'] -> goIfNotPC($Conf->paperSite);
$Conf -> connect();
$Conf -> goIfInvalidActivity("EndOfTheMeeting", $Conf->paperSite);
?>

<html>

<?php  $Conf->header("See Accepted Papers") ?>

<body>
<?php 
  $show_chair_info = $_SESSION['Me']->isChair;
  $result=$Conf->qe("SELECT Paper.paperId, Paper.title, "
		    . " Paper.acknowledged, Paper.withdrawn, Paper.authorInformation, ContactInfo.firstName, ContactInfo.lastName, ContactInfo.email "
		    . " FROM Paper, ContactInfo "
		    . " WHERE (Paper.outcome='accepted' OR Paper.outcome='acceptedShort') AND (ContactInfo.contactId = Paper.contactId) "
		    . " ORDER BY paperId"
		    );

  if (DB::isError($result)) {
    $Conf->errorMsg("Error in retrieving paper list " . $result->getMessage());
  } else {
    print "<table>\n";
    print "<tr bgcolor=\"" . $Conf->contrastColorTwo . "\">\n";
    print "<th align=center> Row # </th> ";
    print "<th align=center> Paper # </th>\n";
    print "<th align=center > Title </th>\n";
    print "<th align=center> Authors </th>\n";
    if ($show_chair_info) {
      print "<th align=center> Contact Author </th>\n";
    };
    print "</tr>\n";
    $i = 1;
    $cur_bg = $Conf->contrastColorZero;
    $alt_bg = $Conf->contrastColorOne;
    $color_counter =0 ;
    while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC)) {
      if ( !$row['withdrawn']) {
	$paperId = $row['paperId'];
	$title = $row['title'];
	$authors = $row['authorInformation'];
	$firstName = $row['firstName'];
	$lastName = $row['lastName'];
	$email = $row['email'];

	print "<tr bgcolor=\"" . $cur_bg . "\">\n";
	if (++$color_counter >= 1) { $t=$cur_bg; $cur_bg = $alt_bg; $alt_bg = $t; $color_counter = 0; };
	print "<td align=right> $i &nbsp;</td> ";
	print "<td align=right> $paperId </td> ";
	print "<td>";

	if( $show_chair_info ){
	  $Conf->linkWithPaperId($title,
				 "PCAllAnonReviewsForPaper.php",
				 $paperId);
	} else {
	  print $Conf->safeHtml($title);
	}

	print "</td>";

	print "<td>" . $Conf->safeHtml($authors) . "</td>\n";

	if ($show_chair_info) {
	  print "<td>" . $Conf->safeHtml($firstName . " " . $lastName)
	    . " &lt;" . $Conf->safeHtml($email) . "&gt;</td>\n";
	};

	print "</tr>";
	$i++;
      }
    }
    print "</table>\n";
  }
 ?>

</body>
<?php  $Conf->footer() ?>
</html>

