<?php 
include('../Code/confHeader.inc');

$_SESSION['Me'] -> goIfInvalid("../index.php");
$Conf -> goIfInvalidActivity("reviewerSubmitReviewDeadline", "../index.php");
$Conf -> connect();

?>

<html>

<?php  $Conf->header("Accept or Decline A Review For Paper #" . $_REQUEST['paperId']) ?>

<body>
<?php 


if ( ! $_SESSION['Me']->iCanReview($_REQUEST['paperId'], $Conf) ) {
  $Conf->errorMsg("You aren't supposed to be able to review paper #" . $_REQUEST['paperId'] . ". "
		  . "If you think this is in error, contact the program chair. ");
  exit();
} 


if (IsSet($_REQUEST['action'])) {
  $action = $_REQUEST['action'];
  $paperId = $_REQUEST['paperId'];
  if ($action === "decline") {
    $Conf->deleteAskReview(-1,
			   -1,
			   $paperId,
			   $_SESSION['Me']->contactId);
  } elseif ($action === "accept") {
    $Conf->acceptReviewRequest($_SESSION['Me']->contactId, $paperId);
  } else {
    $Conf->errorMsg("Unknown action $action for paper $paperId.");
  };
};
?>

<p> You have 
elected to <b>
<?php echo $_REQUEST['action'] ?>
</b>
reviewing
paper #<?php echo $_REQUEST['paperId'] ?>.
</p>

<?php
if ($_REQUEST['action'] === "decline") {
  print "<p>We're sorry you cannot review the paper.  If you can suggest alternate reviewers, please e-mail them to the PC Chairs at <tt>" . $Conf->contactEmail . "</tt>.";
} elseif ($_REQUEST['action'] === "accept") {
  print "<p><b>Thank you!</b> and we look forward to hearing your opinion about the paper.</p>\n";
}
?>

</body>
<?php  $Conf->footer() ?>
</html>
